{
  description = "Flake description";
  outputs = {
    self,
    nixpkgs,
  }: {
    # setup the devShell for x86_64-linux.
    devShell.x86_64-linux = with nixpkgs.legacyPackages.x86_64-linux;
      mkShell {
        buildInputs = [
          pnpm
          nodejs
          just
          podman-compose
        ];

        env = {
          UV_THREADPOOL_SIZE = "16";
          NODE_OPTIONS = "--max-old-space-size=4096";
        };

        shellHook = ''
          echo "mreow"
        '';
      };
  };
}
